Bug 1015096 - Document thinpool recover steps
Document thinpool recover steps
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
Unspecified Unspecified
high Severity low
: rc
: ---
Assigned To: Zdenek Kabelac
: Documentation
Depends On: 1007074
Blocks: 917102
  Show dependency treegraph
Reported: 2013-10-03 08:54 EDT by Zdenek Kabelac
Modified: 2016-03-21 09:51 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-21 09:51:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-10-03 08:54:47 EDT
Description of problem:

Since lvm2 is not capable to recover all possible broken variants of thin pool brokenness we need to create a documentation which will provide step-by-step guide how to move-on with repair of broken pool.

lvm2 provides some useful low-level command which should allow to fix and sync broken thin pool kernel metadata with lvm2 metadata.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 3 Alasdair Kergon 2013-10-14 19:24:41 EDT
There will be no change to the lvm2 package for this, but some documentation will be provided, perhaps as a KB article.
Comment 6 Jonathan Earl Brassow 2015-03-03 15:30:33 EST
Information has been added to the lvmthin(7) man page to try to shed more light on what should be done when devices fail in a thin-pool.  The section "Metadata check and repair" has been added.

This is not sufficient to describe all problems though, but it should be sufficient for this release.  I won't close this bug, but I will push it to 6.8.  We can consider at that time what new information can be added.

Note You need to log in before you can comment on or make changes to this bug.